%define lib_major 0
%define lib_name %mklibname planner- 1 %{lib_major}

Summary: 	Planner is a project management application for GNOME
Name: 		planner
Version:	0.13
Release:	%mkrel 1
License: 	GPL
Group: 		Office
Url:		http://planner.imendio.org/

Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/planner/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libglade2.0-devel
BuildRequires:	libgsf-devel
BuildRequires:	libgnomeprintui-devel >= 2.2
BuildRequires:	libgnomeui2-devel
BuildRequires:	libxslt-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	gda2.0-devel
BuildRequires:	scrollkeeper >= 0.3 python-devel
BuildRequires:	pygtk2.0-devel
Requires:	scrollkeeper >= 0.3
Obsoletes:	mrproject
Provides:	mrproject = %{version}-%{release}

%description
Planner is a project management application for GNOME.

It was formely known as MrProject.

%package	python
Summary:	Python binding for Planner library
Group:		Development/GNOME and GTK+

%description	python
Python binding for Planner library
                                                                                
%package -n	%{lib_name}
Summary:	%{summary}
Group:		%{group}
                                                                                
%description -n	%{lib_name}
A support library for accessing Planner data.
 
%package -n	%{lib_name}-devel
Summary:	The files needed for Planner application development
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-1-devel
                                                                                
%description -n	%{lib_name}-devel
This package contains the necessary include files
for developing applications that access Planner data.

%package	database
Summary:        Planner database support
Group:          Office
Requires:       %{name} = %{version}-%{release}
 
%description	database
Database support for Planner, this plugin can be used to store projects
in a PostgreSQL database.
 


%prep
%setup -q

%build

%configure2_5x --enable-database --disable-update-mimedb
make

%install
rm -fr %$RPM_BUILD_ROOT

%makeinstall_std

install -d -m 0755 $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="planner" \
needs="x11" \
section="Office/Tasks Management" \
title="Planner" \
longtitle="Project management tool" \
icon="%{_datadir}/pixmaps/gnome-planner.png" \
startup_notify="true"
EOF

%find_lang %{name} --with-gnome

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/planner/views/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/plugins/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/file-modules/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/storage-modules/*.la \
   $RPM_BUILD_ROOT%{_libdir}/planner/*.la \
   $RPM_BUILD_ROOT%{_datadir}/doc/planner \
   $RPM_BUILD_ROOT%{_datadir}/mime/{globs,XMLnamespaces,application,magic,aliases,subclasses}

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{update_menus}
if [ -x %{_bindir}/update-mime-database ]; then %{_bindir}/update-mime-database %{_datadir}/mime > /dev/null ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/planner.schemas > /dev/null
gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor

%preun
if [ "$1" = "0" ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/planner.schemas > /dev/null
fi


%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}
if [ -x %{_bindir}/update-mime-database ]; then %{_bindir}/update-mime-database %{_datadir}/mime > /dev/null ; fi
if [ "$1" = "0" ]; then
  gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor
fi


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README examples/sample-1.planner
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/%{name}
%dir %{_libdir}/planner
%dir %{_libdir}/planner/storage-modules
%dir %{_libdir}/planner/plugins
%{_libdir}/planner/libgantt-task.so
%{_libdir}/planner/file-modules
%{_libdir}/planner/views
%{_libdir}/planner/plugins/libhtml-plugin.so
%{_libdir}/planner/plugins/libxmlplanner-plugin.so
%{_libdir}/planner/plugins/libmsp-plugin.so
%{_libdir}/planner/storage-modules/libstorage-mrproject-1.so
%{_datadir}/application-registry/*
%{_datadir}/applications/*
%{_datadir}/mime-info/*
%dir %{_datadir}/planner
%dir %{_datadir}/planner/glade
%{_datadir}/planner/glade/*-*.glade
%{_datadir}/planner/glade/eds.glade
%dir %{_datadir}/planner/ui
%{_datadir}/planner/ui/eds-plugin.ui
%{_datadir}/planner/ui/gantt-view.ui
%{_datadir}/planner/ui/resource-view.ui
%{_datadir}/planner/ui/time-table-view.ui
%{_datadir}/planner/ui/html-plugin.ui
%{_datadir}/planner/ui/xml-planner-plugin.ui
%{_datadir}/planner/ui/main-window.ui
%{_datadir}/planner/ui/msp-plugin.ui
%{_datadir}/planner/ui/task-view.ui
%{_datadir}/planner/dtd
%{_datadir}/planner/stylesheets
%{_menudir}/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/48x48/mimetypes/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/libplanner
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%files python
%defattr(-,root,root)
%{_libdir}/python*/site-packages/gtk-2.0/*

%files database
%defattr(-,root,root)
%doc docs/sql/README.sql
%{_libdir}/planner/storage-modules/libstorage-sql.so
%{_libdir}/planner/plugins/libsql-plugin.so
%{_datadir}/planner/glade/sql.glade
%{_datadir}/planner/ui/sql-plugin.ui
%{_datadir}/planner/sql

%changelog
* Thu Jul 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.13-1mdk
- Release 0.13
- remove files which should have not been packaged

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12.1-7mdk
- package missing files

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-6mdk 
- Rebuild with latest howl

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.12.1-5mdk
- add BuildRequires: pygtk2.0-devel

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-4mdk 
- Rebuild with latest gda

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.12.1-3mdk
- fix buildrequires
- fix summary-ended-with-dot

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.12.1-2mdk
- Rebuild for new  python

* Mon Aug 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1

* Tue Aug 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.12-2mdk
- Rebuild with new menu structure

* Fri Jul  9 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- New release 0.12
- Remove patches 0, 1 (no longer needed), 2 (merged upstream)

* Thu Jun 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-4mdk
- Patch0 (CVS): fix name of icon for window
- enable back libtoolize
- Move back aclocal and automake in %prep, they should remain there

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-3mdk
- run aclocal before automake and do them both in %%build, not %%prep

* Fri Jan 02 2004 Stefan van der Eijk <stefan@eijk.nu> 0.11-2mdk
- BuildRequires

* Tue Dec 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- Planner is new name for MrProject
- Release 0.11
- Patch0 : fix compilation of postgreqsl support
- Patch1 : fix library soname

* Thu Nov 06 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10
- Remove patch0 (merged upstream)

* Thu Oct 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-5mdk
- Patch0 (CVS): Fix crash in gantt view (Mdk bug #6217)

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-4mdk
- Fix BuildRequires

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.1-2mdk
- Fix BuildRequires

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.9.1-1mdk
- Release 0.9.1

* Tue Feb 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Recompiled against latest openssl
- Enable startup_notify
- Generate yelp cache

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6
- Remove patch0 (merged upstream)

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.93-2mdk
- Patch0 (CVS): close project property dialog when pressing close button

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.93-1mdk
- Release 0.5.93

* Fri Jun 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.92-1mdk
- Release 0.5.92 (GNOME2)

* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-1mdk
- Release 0.5.1

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5.0-3mdk
- BuildRequires
- Rebuild with libgal19

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.5.0-2mdk
- Fix menu entry
- Add missing files

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.0-1mdk
- Release 0.5.0
- Switch to implicit dependencies

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-2mdk
- Recompiled against latest gal

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1
- Patch0: fix compilation with latest bonobo

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0
- Compiled against libgal12

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.2-1mdk
- Release 0.3.2
- add menu entry

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Add missing directories
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Recompiled against latest gal

* Wed Jul 07 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-2mdk
- RPM Sucks (now all files are there)
- Changed Copyright to License

* Fri Jun 29 2001 Camille Begnis <camille@mandrakesoft.com> 0.3.1-1mdk
- Stole spec from RH
